Skip to main content
GET
/
v1
/
functions
/
builds
/
{id}
Get a Function Build
curl --request GET \
  --url https://api.browserbase.com/v1/functions/builds/{id} \
  --header 'X-BB-API-Key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "request": {
    "entrypoint": "<string>",
    "functionNames": [
      "<string>"
    ]
  },
  "status": "PENDING",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "startedAt": "2023-11-07T05:31:56Z",
  "expiresAt": "2023-11-07T05:31:56Z",
  "endedAt": "2023-11-07T05:31:56Z",
  "builtFunctions": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "createdVersion": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "functionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "functionBuildId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "sessionCreateParams": {},
        "userParamsSchema": {}
      }
    }
  ],
  "cause": {
    "code": "NO_MANIFESTS_FOUND",
    "message": "<string>"
  }
}

Authorizations

X-BB-API-Key
string
header
required

Path Parameters

id
string<uuid>
required

Response

200 - application/json

The request has succeeded.

id
string<uuid>
required
projectId
string<uuid>
required
request
object
required
status
enum<string>
required
Available options:
PENDING,
RUNNING,
COMPLETED,
FAILED
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
startedAt
string<date-time>
required
expiresAt
string<date-time>
required
endedAt
string<date-time>
builtFunctions
object[]
cause
object